## finalrd 3~ubuntu18.04.0

=== debian/changelog ===
finalrd (3~ubuntu18.04.0) bionic; urgency=medium

  * Backport finalrd to bionic. LP: #1830211

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 23 May 2019 13:54:36 +0100

finalrd (3) cosmic; urgency=medium

  * Drop finarld hooks.
  * Do not remount /run with suid, not needed.
  * Depend on initramfs-tools-core.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 03 Aug 2018 15:07:17 +0100

finalrd (2) cosmic; urgency=medium

  * Initial release

 -- Dimitri John Ledkov 🌈 <xnox@ubuntu.com>  Tue, 19 Jun 2018 10:40:55 +0100

## finalrd 3

=== Makefile ===
all:

check:
	dash -n *.sh

install:
	mkdir -p $(DESTDIR)/lib/systemd/system
	mkdir -p $(DESTDIR)/usr/share/finalrd
	mkdir -p $(DESTDIR)/usr/share/man/man1/
	mkdir -p $(DESTDIR)/usr/bin/
	cp finalrd.sh $(DESTDIR)/usr/bin/finalrd
	cp *.service $(DESTDIR)/lib/systemd/system/
	pod2man -u -c finalrd -r 'finalrd 2' -d '' finalrd.pod | gzip -9 > $(DESTDIR)/usr/share/man/man1/finalrd.1.gz

.PHONY: all check install

=== debian/control ===
Source: finalrd
Section: utils
Priority: optional
Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.2
Homepage: https://launchpad.net/finalrd
Vcs-Git: https://git.launchpad.net/finalrd
Vcs-Browser: https://git.launchpad.net/finalrd

Package: finalrd
Architecture: all
Depends: initramfs-tools-core, ${misc:Depends}
Description: final runtime directory for shutdown
 Generates a systemd compatible shutdown runtime directory. This
 enables to execute scripts and binaries to clean up shutdown. Sample
 hooks and shutdown scripts are provided to unmount filesystems,
 dissamble dm, cleanly shutdown mdadm raid arrays, and perform iscsi
 logout. Approximate tmpfs RAM requirement is 14MB on shutdown.

## finalrd 4

=== debian/changelog ===
finalrd (4) eoan; urgency=medium

  * Set and export `verbose' variable for initramfs-tools, otherwise,
    finalrd fails to create shutdown initrd, resulting in shutdown hangs.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 30 Sep 2019 18:43:22 +0100

## finalrd 5

=== icons/Makefile ===
all:
	inkscape -h 14 -w 14 -f ./system-shutdown-panel.svg -e ./system-shutdown-panel-14.png
	inkscape -h 64 -w 64 -f ./system-shutdown-panel.svg -e ./system-shutdown-panel-64.png
	inkscape -h 192 -w 192 -f ./system-shutdown-panel.svg -e ./system-shutdown-panel-192.png

.PHONY: all

=== debian/changelog ===
finalrd (5) focal; urgency=medium

  * Introduce hookless mode
  * Update initrd-release file to Five Man Alive

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 18 Dec 2019 13:42:32 +0000

=== debian/control ===
Source: finalrd
Section: utils
Priority: optional
Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.2
Homepage: https://launchpad.net/finalrd
Vcs-Git: https://git.launchpad.net/finalrd
Vcs-Browser: https://git.launchpad.net/finalrd

Package: finalrd
Architecture: all
Depends: ${misc:Depends}
Recommends: initramfs-tools-core
Description: final runtime directory for shutdown
 Generates a systemd compatible shutdown runtime directory. This
 enables to execute scripts and binaries to clean up shutdown.
 .
 Also supports hookless operation, to simply facilitate clean shutdowns.
 .
 Approximate tmpfs RAM requirement is 14MB on shutdown.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_installsystemd:
	dh_installsystemd --no-stop-on-upgrade --no-restart-after-upgrade

## finalrd 6~ubuntu16.04.1

=== debian/changelog ===
finalrd (6~ubuntu16.04.1) xenial; urgency=medium

  * No-change backport to xenial (LP: #1895160)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 10 Sep 2020 15:54:18 +0100

finalrd (6) groovy; urgency=medium

  * xenial compat - ensure directories exist before using them
  * Change packaging to be compatible with debhelper 9
  * Update code name to 6

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 28 Aug 2020 17:02:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper (>= 9), dh-systemd
 Standards-Version: 4.1.2
 Homepage: https://launchpad.net/finalrd
 Vcs-Git: https://git.launchpad.net/finalrd

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with systemd

override_dh_systemd_start:
	dh_systemd_start --no-restart-on-upgrade

## finalrd 6~ubuntu18.04.1

=== Makefile ===
all:

check:
	dash -n *.sh

install-ratelimit:
	mkdir -p $(DESTDIR)/usr/lib/systemd/journald.conf.d
	cp finalrd-ratelimit.conf $(DESTDIR)/usr/lib/systemd/journald.conf.d/

install:
	mkdir -p $(DESTDIR)/lib/systemd/system
	mkdir -p $(DESTDIR)/usr/share/finalrd
	mkdir -p $(DESTDIR)/usr/share/man/man1/
	mkdir -p $(DESTDIR)/usr/bin/
	mkdir -p $(DESTDIR)/usr/lib/finalrd/
	cp finalrd-static.conf $(DESTDIR)/usr/lib/finalrd/
	cp finalrd.sh $(DESTDIR)/usr/bin/finalrd
	cp *.service $(DESTDIR)/lib/systemd/system/
	pod2man -u -c finalrd -r 'finalrd 2' -d '' finalrd.pod | gzip -9 > $(DESTDIR)/usr/share/man/man1/finalrd.1.gz

.PHONY: all check install

=== debian/changelog ===
finalrd (6~ubuntu18.04.1) bionic; urgency=medium

  * No-change backport to bionic (LP: #1895160)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 10 Sep 2020 15:54:08 +0100

## finalrd 6~ubuntu20.04.1

=== debian/changelog ===
finalrd (6~ubuntu20.04.1) focal; urgency=medium

  * No-change backport to focal (LP: #1895160)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 10 Sep 2020 15:53:09 +0100

## finalrd 7

=== debian/changelog ===
finalrd (7) hirsute; urgency=medium

  * Drop build-dependency on obsolete dh-systemd

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 02 Mar 2021 14:53:39 -0800

## finalrd 8

=== debian/changelog ===
finalrd (8) impish; urgency=medium

  * Improve library detection in finalrd.sh.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 29 Jul 2021 16:57:22 +1200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
-Build-Depends: debhelper (>= 9), dh-systemd
+Build-Depends: debhelper (>= 9.20160709)
 Standards-Version: 4.1.2
 Homepage: https://launchpad.net/finalrd
 Vcs-Git: https://git.launchpad.net/finalrd

## finalrd 9build1

=== debian/changelog ===
finalrd (9build1) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 16:56:26 +0000

finalrd (9) jammy; urgency=medium

  * finalrd.service: set Before=shutdown.target.
    Eliminate race between finalrd and shutdown.target.
    See also: lintian's systemd-service-file-shutdown-problems.
    Thanks to Dimitri John Ledkov (LP: #1840122)
  * d/control: bump dh compat level to 11 (via debhelper-compat)
    Compat level 11 ensures compatibility with Bionic.
    Changes:
     - d/rules: switch to dh_installsystemd
  * d/control: set Rules-Requires-Root: no
  * d/control: bump Standards-Version to 4.6.0 (no changes needed)

 -- Paride Legovini <paride@ubuntu.com>  Thu, 09 Dec 2021 11:55:29 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
-Build-Depends: debhelper (>= 9.20160709)
-Standards-Version: 4.1.2
+Build-Depends: debhelper-compat (= 11)
+Standards-Version: 4.6.0
 Homepage: https://launchpad.net/finalrd
 Vcs-Git: https://git.launchpad.net/finalrd
 Vcs-Browser: https://git.launchpad.net/finalrd
+Rules-Requires-Root: no
 
 Package: finalrd
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_installsystemd:
	dh_installsystemd --no-stop-on-upgrade

## finalrd 9build2

=== debian/changelog ===
finalrd (9build2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 26 Nov 2025 16:07:18 +0000
